Package: org.apache.groovy.contracts

## [Java] Class ClassInvariantViolation

- org.apache.groovy.contracts.ClassInvariantViolation

-     public class ClassInvariantViolation
      extends AssertionViolation

  Thrown whenever a class invariant violation occurs.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassInvariantViolation()`
    `ClassInvariantViolation(Object o)`
    `ClassInvariantViolation(boolean b)`
    `ClassInvariantViolation(char c)`
    `ClassInvariantViolation(int i)`
    `ClassInvariantViolation(long l)`
    `ClassInvariantViolation(float v)`
    `ClassInvariantViolation(double v)`

- - ### Constructor Detail

    - #### public ClassInvariantViolation()

    - #### public ClassInvariantViolation(Object o)

    - #### public ClassInvariantViolation(boolean b)

    - #### public ClassInvariantViolation(char c)

    - #### public ClassInvariantViolation(int i)

    - #### public ClassInvariantViolation(long l)

    - #### public ClassInvariantViolation(float v)

    - #### public ClassInvariantViolation(double v)